# How to Add Unittest using gtest(googletest)

### 1. make own test code
```
#include "gtest/gtest.h"

TEST(TFLite_test_case, simple_test)
{
    EXPECT_EQ(1, 1);
}
```

### 2. Add dependancy on `googletest` to your test executable
```
add_executable($YOURTEST_TARGET yourtest1.cc yourtest2.cc)
add_dependencies($YOURTEST_TARGET googletest)
```

### 3. Link test executable against libgtest.a and libgtest_main.a (+ pthread)
```
target_link_libraries($YOURTEST_TARGET libgtest.a libgtest_main.a pthread)
```

### 4. Install test executable into Product/out/unittest
```
install(TARGETS $YOURTEST_TARGET DESTINATION unittest)
```
