/*
 * Copyright (c) 2018 Samsung Electronics Co., Ltd. All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "support/tflite/interp/FlatBufferBuilder.h"

#include <tensorflow/contrib/lite/kernels/register.h>

namespace nnfw
{
namespace support
{
namespace tflite
{
namespace interp
{

std::unique_ptr<::tflite::Interpreter> FlatBufferBuilder::build(void) const
{
  std::unique_ptr<::tflite::Interpreter> interpreter;

  ::tflite::ops::builtin::BuiltinOpResolver resolver;

  ::tflite::InterpreterBuilder builder(_model, resolver);

  builder(&interpreter);

  return std::move(interpreter);
}

} // namespace interp
} // namespace tflite
} // namespace support
} // namespace nnfw
