/*
 * Copyright (c) 2018 Samsung Electronics Co., Ltd. All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "Logging.h"

namespace nnfw {
namespace rt{

BoolConfig::BoolConfig(const std::string &tag, bool default_value) : _value(default_value)
{
  const char *str = getenv(tag.c_str());

  if (str != nullptr)
  {
    std::string s = std::string(str);
    _value = ((s != "0") && (s != "false") && (s != "FALSE"));
  }
}

VLogging::VLogging()
{
  BoolConfig vlog_enabled("VLOG", false);
  _enabled = vlog_enabled.value();
}

VLogging& VLogging::access()
{
  static VLogging instance;
  return instance;
}

std::ostream& VLogging::stream()
{
  return std::cout;
}

} // namespace rt
} // namespace nnfw
