/*
 * Copyright (c) 2018 Samsung Electronics Co., Ltd. All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __NNFW_RT_NNFW_KERNELS_H__
#define __NNFW_RT_NNFW_KERNELS_H__

#include "CpuExecutor.h"
#include "NeuralNetworks.h"
#include "Operations.h"

#include <map>

namespace nnfw {
namespace rt {

#define NNFW_KERNEL(Name, Ret, Params) \
    typedef Ret (*KERNEL_##Name) Params; \
    typedef std::map<std::string, KERNEL_##Name> NNFW_KERNELS_##Name; \
    extern NNFW_KERNELS_##Name nnfw_kernels_##Name;

#include "NNFWKernels.lst"
#undef NNFW_KERNEL

void init_nnfw_kernels();

} // namespace rt
} // namespace nnfw
#endif // __NNFW_RT_NNFW_KERNELS_H__
