#include <string>
#include <fcntl.h>
#include <sys/mman.h>
#include <unistd.h>
#include <iostream>

#include "simple_model.h"

int main()
{
    // This is a simple test for bring-up stage
    // TODO Remove this file when we have unit tests ready.

    const char *fname = "model_data.bin";
    float input1 = 1.0f;
    float input2 = 2.0f;
    int fd = open(fname, O_RDONLY);
    off_t offset = 0;
    off_t length = lseek(fd, 0, SEEK_END);

    SimpleModel* nn_model = new SimpleModel(length, PROT_READ, fd, offset);
    if (!nn_model->CreateCompiledModel()) {
        std::cerr << "Failed to prepare the model." << std::endl;
        return 1;
    }

    float result = 0.0f;
    nn_model->Compute(input1, input2, &result);

    std::cout << "result : " << result << std::endl;

    delete(nn_model);

    return 0;
}
