# Reference implementation of NN runtime

This directory will host a reference implementation of NN runtime.

## What is a reference NN runtime ?

A reference NN runtime is the first PoC (Proof of Concept) implementation of NN runtime for quick development without concrete design.

At the time of decision for this reference NN runtime, we don't have much time to bring up NN runtime. Precisely, by the first milestone, it would be great to have a naive but working SW stack. This is our main goal of this reference NN runtime.

There will be various approaches to implement NN runtime and this reference NN runtime is designed from three possible approaches.
  - (Plan A) Implement by importing Android NN components as needed
  - (Plan B) Import and migrate Android NN to our environment and objectives, (i.e. porting and refactoring Android NN)
  - (Plan C) Implement from scratch (with knowledge from Android NN after analysis)

Considering given restrictions, Plan C might not be feasible for us right now, because it requires correct and time consuming analysis. Drop Plan C. And Plan B might not be easy to be worked by several developers in parallel.
Therefore, we decide to take below two approaches in parallel.
  - (1) start to implement NN runtime with Plan A by developers in parallel
  - (2) make use of knowledge and result from Plan B. Of course, it would be great if we can successfully port Android NN in time, i.e. Plan B. Then we can make use of Android NN itself for our purpose for later milestones.

Therefore we decide to implement a reference NN runtime with Plan A for quick development without concrete design.
We will follow below philosophies to achieve a main goal.

## Philosophies of a reference NN runtime

We will follow below philosophies until we have a working stack of NN runtime.

- Basically we are going to import necessary code from `experiments/android_nn`
- And we will remove unnecessary code and modify of `experiments/android_nn`.
- Keep same structure and name of directory/file with `experiments/android_nn` when importing `experiments/android_nn`
- Keep same name of type, variable, function, namespace and etc. of C++ source code with `experiments/android_nn`
- Introduce a new file if we have to introduce and define our own type, variable, function, namespace and etc. of C++ source code.
  - Don't share existing file of `experiments/android_nn` for our own implementation.

Simply keep as much as possible the code of `experiments/android_nn` when importing and introduce new files for our own implementation.

## Coding Guidelines

We will use following two comment styles for our conveniences.

For those code copied from Android NN but not used yet, use `#if 0 // REF-ANN` to exclude from source code.
Later you can just remove above `#if 0`, `#endif` and comments when we decide to compile/update it in our reference NN runtime.
```
#if 0 // REF-ANN
  original code from Android NN without any modification and not used yet
#endif
```

If you want to leave `TODO` comment, let's use `TODO-NNRT` to distinguish from other `TODO`.

```
 // TODO-NNRT : Todo for a NN runtime implemenation
```

